> For the complete documentation index, see [llms.txt](https://docs.infraon.io/infraon-infinity-api-guide/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.infraon.io/infraon-infinity-api-guide/modules/rule-group.md).

# Rule Group

## Gets a list of configuration trigger

> This endpoint is used to fetch all the configuration trigger in the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"PolicyRulegroup":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"created_by_name":{"type":"string","readOnly":true},"modified_by_name":{"type":"string","readOnly":true},"creationtime":{"type":"string","readOnly":true},"last_update_time":{"type":"string","readOnly":true},"status_opt":{"type":"string","readOnly":true},"status":{"type":"string","readOnly":true},"device_tags":{"type":"string","readOnly":true},"associated_rules":{"type":"string","readOnly":true},"rule_map":{"type":"string","readOnly":true},"created_by_profile":{"type":"string","readOnly":true},"modified_by_profile":{"type":"string","readOnly":true},"rulegroupid":{"type":"string"},"name":{"type":"string"},"organization":{"type":"string","maxLength":25},"description":{"type":"string"},"activation":{"type":"boolean"},"iprange":{"type":"string"},"exclude_ips":{"type":"string"},"vendor":{"type":"string"},"os_type":{"type":"string"},"modified_by":{"type":"integer"},"created_by":{"type":"integer"},"activated_by":{"type":"integer"},"activation_time":{"type":"string","format":"date-time"},"is_deleted":{"type":"boolean"},"assigned_users":{"type":"array","items":{}},"assigned_group":{"type":"array","items":{}},"is_private":{"type":"boolean"}},"required":["associated_rules","created_by_name","created_by_profile","creationtime","device_tags","id","last_update_time","modified_by_name","modified_by_profile","organization","rule_map","rulegroupid","status","status_opt"]}}},"paths":{"/ux/nccm/policy_rule_group/":{"get":{"operationId":"ux_nccm_policy_rule_group_list","description":"This endpoint is used to fetch all the configuration trigger in the current organization","summary":"Gets a list of configuration trigger","parameters":[{"in":"query","name":"items_per_page","schema":{"type":"integer"},"description":"Items Per Page","required":true},{"in":"query","name":"page","schema":{"type":"integer"},"description":"Page Number","required":true},{"in":"query","name":"reverse","schema":{"type":"boolean"},"description":"Sorting Order"},{"in":"query","name":"sort","schema":{"type":"string"},"description":"Sorting Key"}],"tags":["Rule Group"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PolicyRulegroup"}}}},"description":""}}}}}}
```

## Creates a new configuration profile

> This endpoint is used to save a new configuration profile for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"PolicyRulegroup":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"created_by_name":{"type":"string","readOnly":true},"modified_by_name":{"type":"string","readOnly":true},"creationtime":{"type":"string","readOnly":true},"last_update_time":{"type":"string","readOnly":true},"status_opt":{"type":"string","readOnly":true},"status":{"type":"string","readOnly":true},"device_tags":{"type":"string","readOnly":true},"associated_rules":{"type":"string","readOnly":true},"rule_map":{"type":"string","readOnly":true},"created_by_profile":{"type":"string","readOnly":true},"modified_by_profile":{"type":"string","readOnly":true},"rulegroupid":{"type":"string"},"name":{"type":"string"},"organization":{"type":"string","maxLength":25},"description":{"type":"string"},"activation":{"type":"boolean"},"iprange":{"type":"string"},"exclude_ips":{"type":"string"},"vendor":{"type":"string"},"os_type":{"type":"string"},"modified_by":{"type":"integer"},"created_by":{"type":"integer"},"activated_by":{"type":"integer"},"activation_time":{"type":"string","format":"date-time"},"is_deleted":{"type":"boolean"},"assigned_users":{"type":"array","items":{}},"assigned_group":{"type":"array","items":{}},"is_private":{"type":"boolean"}},"required":["associated_rules","created_by_name","created_by_profile","creationtime","device_tags","id","last_update_time","modified_by_name","modified_by_profile","organization","rule_map","rulegroupid","status","status_opt"]}}},"paths":{"/ux/nccm/policy_rule_group/":{"post":{"operationId":"ux_nccm_policy_rule_group_create","description":"This endpoint is used to save a new configuration profile for the current organization","summary":"Creates a new configuration profile","tags":["Rule Group"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PolicyRulegroup"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/PolicyRulegroup"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/PolicyRulegroup"}}},"required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PolicyRulegroup"}}},"description":""}}}}}}
```

## GET /ux/nccm/policy\_rule\_group/{id}/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"PolicyRulegroup":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"created_by_name":{"type":"string","readOnly":true},"modified_by_name":{"type":"string","readOnly":true},"creationtime":{"type":"string","readOnly":true},"last_update_time":{"type":"string","readOnly":true},"status_opt":{"type":"string","readOnly":true},"status":{"type":"string","readOnly":true},"device_tags":{"type":"string","readOnly":true},"associated_rules":{"type":"string","readOnly":true},"rule_map":{"type":"string","readOnly":true},"created_by_profile":{"type":"string","readOnly":true},"modified_by_profile":{"type":"string","readOnly":true},"rulegroupid":{"type":"string"},"name":{"type":"string"},"organization":{"type":"string","maxLength":25},"description":{"type":"string"},"activation":{"type":"boolean"},"iprange":{"type":"string"},"exclude_ips":{"type":"string"},"vendor":{"type":"string"},"os_type":{"type":"string"},"modified_by":{"type":"integer"},"created_by":{"type":"integer"},"activated_by":{"type":"integer"},"activation_time":{"type":"string","format":"date-time"},"is_deleted":{"type":"boolean"},"assigned_users":{"type":"array","items":{}},"assigned_group":{"type":"array","items":{}},"is_private":{"type":"boolean"}},"required":["associated_rules","created_by_name","created_by_profile","creationtime","device_tags","id","last_update_time","modified_by_name","modified_by_profile","organization","rule_map","rulegroupid","status","status_opt"]}}},"paths":{"/ux/nccm/policy_rule_group/{id}/":{"get":{"operationId":"ux_nccm_policy_rule_group_retrieve","description":"API endpoint that allows users to be viewed or edited.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Rule Group"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PolicyRulegroup"}}},"description":""}}}}}}
```

## PUT /ux/nccm/policy\_rule\_group/{id}/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"PolicyRulegroup":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"created_by_name":{"type":"string","readOnly":true},"modified_by_name":{"type":"string","readOnly":true},"creationtime":{"type":"string","readOnly":true},"last_update_time":{"type":"string","readOnly":true},"status_opt":{"type":"string","readOnly":true},"status":{"type":"string","readOnly":true},"device_tags":{"type":"string","readOnly":true},"associated_rules":{"type":"string","readOnly":true},"rule_map":{"type":"string","readOnly":true},"created_by_profile":{"type":"string","readOnly":true},"modified_by_profile":{"type":"string","readOnly":true},"rulegroupid":{"type":"string"},"name":{"type":"string"},"organization":{"type":"string","maxLength":25},"description":{"type":"string"},"activation":{"type":"boolean"},"iprange":{"type":"string"},"exclude_ips":{"type":"string"},"vendor":{"type":"string"},"os_type":{"type":"string"},"modified_by":{"type":"integer"},"created_by":{"type":"integer"},"activated_by":{"type":"integer"},"activation_time":{"type":"string","format":"date-time"},"is_deleted":{"type":"boolean"},"assigned_users":{"type":"array","items":{}},"assigned_group":{"type":"array","items":{}},"is_private":{"type":"boolean"}},"required":["associated_rules","created_by_name","created_by_profile","creationtime","device_tags","id","last_update_time","modified_by_name","modified_by_profile","organization","rule_map","rulegroupid","status","status_opt"]}}},"paths":{"/ux/nccm/policy_rule_group/{id}/":{"put":{"operationId":"ux_nccm_policy_rule_group_update","description":"API endpoint that allows users to be viewed or edited.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Rule Group"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PolicyRulegroup"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/PolicyRulegroup"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/PolicyRulegroup"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PolicyRulegroup"}}},"description":""}}}}}}
```

## Deletes the rule group with given id

> This endpoint is used to delete an existing rule group for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/nccm/policy_rule_group/{id}/":{"delete":{"operationId":"ux_nccm_policy_rule_group_destroy","description":"This endpoint is used to delete an existing rule group for the current organization","summary":"Deletes the rule group with given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Rule Group"],"responses":{"204":{"description":"No response body"}}}}}}
```

## POST /ux/nccm/policy\_rule\_group/bulk-opration/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"PolicyRulegroup":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"created_by_name":{"type":"string","readOnly":true},"modified_by_name":{"type":"string","readOnly":true},"creationtime":{"type":"string","readOnly":true},"last_update_time":{"type":"string","readOnly":true},"status_opt":{"type":"string","readOnly":true},"status":{"type":"string","readOnly":true},"device_tags":{"type":"string","readOnly":true},"associated_rules":{"type":"string","readOnly":true},"rule_map":{"type":"string","readOnly":true},"created_by_profile":{"type":"string","readOnly":true},"modified_by_profile":{"type":"string","readOnly":true},"rulegroupid":{"type":"string"},"name":{"type":"string"},"organization":{"type":"string","maxLength":25},"description":{"type":"string"},"activation":{"type":"boolean"},"iprange":{"type":"string"},"exclude_ips":{"type":"string"},"vendor":{"type":"string"},"os_type":{"type":"string"},"modified_by":{"type":"integer"},"created_by":{"type":"integer"},"activated_by":{"type":"integer"},"activation_time":{"type":"string","format":"date-time"},"is_deleted":{"type":"boolean"},"assigned_users":{"type":"array","items":{}},"assigned_group":{"type":"array","items":{}},"is_private":{"type":"boolean"}},"required":["associated_rules","created_by_name","created_by_profile","creationtime","device_tags","id","last_update_time","modified_by_name","modified_by_profile","organization","rule_map","rulegroupid","status","status_opt"]}}},"paths":{"/ux/nccm/policy_rule_group/bulk-opration/":{"post":{"operationId":"ux_nccm_policy_rule_group_bulk_opration_create","description":"API endpoint that allows users to be viewed or edited.","tags":["Rule Group"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PolicyRulegroup"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/PolicyRulegroup"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/PolicyRulegroup"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PolicyRulegroup"}}},"description":""}}}}}}
```

## GET /ux/nccm/policy\_rule\_group/get-configuration-rules/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"PolicyRulegroup":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"created_by_name":{"type":"string","readOnly":true},"modified_by_name":{"type":"string","readOnly":true},"creationtime":{"type":"string","readOnly":true},"last_update_time":{"type":"string","readOnly":true},"status_opt":{"type":"string","readOnly":true},"status":{"type":"string","readOnly":true},"device_tags":{"type":"string","readOnly":true},"associated_rules":{"type":"string","readOnly":true},"rule_map":{"type":"string","readOnly":true},"created_by_profile":{"type":"string","readOnly":true},"modified_by_profile":{"type":"string","readOnly":true},"rulegroupid":{"type":"string"},"name":{"type":"string"},"organization":{"type":"string","maxLength":25},"description":{"type":"string"},"activation":{"type":"boolean"},"iprange":{"type":"string"},"exclude_ips":{"type":"string"},"vendor":{"type":"string"},"os_type":{"type":"string"},"modified_by":{"type":"integer"},"created_by":{"type":"integer"},"activated_by":{"type":"integer"},"activation_time":{"type":"string","format":"date-time"},"is_deleted":{"type":"boolean"},"assigned_users":{"type":"array","items":{}},"assigned_group":{"type":"array","items":{}},"is_private":{"type":"boolean"}},"required":["associated_rules","created_by_name","created_by_profile","creationtime","device_tags","id","last_update_time","modified_by_name","modified_by_profile","organization","rule_map","rulegroupid","status","status_opt"]}}},"paths":{"/ux/nccm/policy_rule_group/get-configuration-rules/":{"get":{"operationId":"ux_nccm_policy_rule_group_get_configuration_rules_retrieve","description":"API endpoint that allows users to be viewed or edited.","tags":["Rule Group"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PolicyRulegroup"}}},"description":""}}}}}}
```

## GET /ux/nccm/policy\_rule\_group/get-os-from-rule/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"PolicyRulegroup":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"created_by_name":{"type":"string","readOnly":true},"modified_by_name":{"type":"string","readOnly":true},"creationtime":{"type":"string","readOnly":true},"last_update_time":{"type":"string","readOnly":true},"status_opt":{"type":"string","readOnly":true},"status":{"type":"string","readOnly":true},"device_tags":{"type":"string","readOnly":true},"associated_rules":{"type":"string","readOnly":true},"rule_map":{"type":"string","readOnly":true},"created_by_profile":{"type":"string","readOnly":true},"modified_by_profile":{"type":"string","readOnly":true},"rulegroupid":{"type":"string"},"name":{"type":"string"},"organization":{"type":"string","maxLength":25},"description":{"type":"string"},"activation":{"type":"boolean"},"iprange":{"type":"string"},"exclude_ips":{"type":"string"},"vendor":{"type":"string"},"os_type":{"type":"string"},"modified_by":{"type":"integer"},"created_by":{"type":"integer"},"activated_by":{"type":"integer"},"activation_time":{"type":"string","format":"date-time"},"is_deleted":{"type":"boolean"},"assigned_users":{"type":"array","items":{}},"assigned_group":{"type":"array","items":{}},"is_private":{"type":"boolean"}},"required":["associated_rules","created_by_name","created_by_profile","creationtime","device_tags","id","last_update_time","modified_by_name","modified_by_profile","organization","rule_map","rulegroupid","status","status_opt"]}}},"paths":{"/ux/nccm/policy_rule_group/get-os-from-rule/":{"get":{"operationId":"ux_nccm_policy_rule_group_get_os_from_rule_retrieve","description":"API endpoint that allows users to be viewed or edited.","tags":["Rule Group"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PolicyRulegroup"}}},"description":""}}}}}}
```

## POST /ux/nccm/policy\_rule\_group/get-runtime-params/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"PolicyRulegroup":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"created_by_name":{"type":"string","readOnly":true},"modified_by_name":{"type":"string","readOnly":true},"creationtime":{"type":"string","readOnly":true},"last_update_time":{"type":"string","readOnly":true},"status_opt":{"type":"string","readOnly":true},"status":{"type":"string","readOnly":true},"device_tags":{"type":"string","readOnly":true},"associated_rules":{"type":"string","readOnly":true},"rule_map":{"type":"string","readOnly":true},"created_by_profile":{"type":"string","readOnly":true},"modified_by_profile":{"type":"string","readOnly":true},"rulegroupid":{"type":"string"},"name":{"type":"string"},"organization":{"type":"string","maxLength":25},"description":{"type":"string"},"activation":{"type":"boolean"},"iprange":{"type":"string"},"exclude_ips":{"type":"string"},"vendor":{"type":"string"},"os_type":{"type":"string"},"modified_by":{"type":"integer"},"created_by":{"type":"integer"},"activated_by":{"type":"integer"},"activation_time":{"type":"string","format":"date-time"},"is_deleted":{"type":"boolean"},"assigned_users":{"type":"array","items":{}},"assigned_group":{"type":"array","items":{}},"is_private":{"type":"boolean"}},"required":["associated_rules","created_by_name","created_by_profile","creationtime","device_tags","id","last_update_time","modified_by_name","modified_by_profile","organization","rule_map","rulegroupid","status","status_opt"]}}},"paths":{"/ux/nccm/policy_rule_group/get-runtime-params/":{"post":{"operationId":"ux_nccm_policy_rule_group_get_runtime_params_create","description":"API endpoint that allows users to be viewed or edited.","tags":["Rule Group"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PolicyRulegroup"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/PolicyRulegroup"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/PolicyRulegroup"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PolicyRulegroup"}}},"description":""}}}}}}
```

## GET /ux/nccm/policy\_rule\_group/get\_init\_options/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"PolicyRulegroup":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"created_by_name":{"type":"string","readOnly":true},"modified_by_name":{"type":"string","readOnly":true},"creationtime":{"type":"string","readOnly":true},"last_update_time":{"type":"string","readOnly":true},"status_opt":{"type":"string","readOnly":true},"status":{"type":"string","readOnly":true},"device_tags":{"type":"string","readOnly":true},"associated_rules":{"type":"string","readOnly":true},"rule_map":{"type":"string","readOnly":true},"created_by_profile":{"type":"string","readOnly":true},"modified_by_profile":{"type":"string","readOnly":true},"rulegroupid":{"type":"string"},"name":{"type":"string"},"organization":{"type":"string","maxLength":25},"description":{"type":"string"},"activation":{"type":"boolean"},"iprange":{"type":"string"},"exclude_ips":{"type":"string"},"vendor":{"type":"string"},"os_type":{"type":"string"},"modified_by":{"type":"integer"},"created_by":{"type":"integer"},"activated_by":{"type":"integer"},"activation_time":{"type":"string","format":"date-time"},"is_deleted":{"type":"boolean"},"assigned_users":{"type":"array","items":{}},"assigned_group":{"type":"array","items":{}},"is_private":{"type":"boolean"}},"required":["associated_rules","created_by_name","created_by_profile","creationtime","device_tags","id","last_update_time","modified_by_name","modified_by_profile","organization","rule_map","rulegroupid","status","status_opt"]}}},"paths":{"/ux/nccm/policy_rule_group/get_init_options/":{"get":{"operationId":"ux_nccm_policy_rule_group_get_init_options_retrieve","description":"API endpoint that allows users to be viewed or edited.","tags":["Rule Group"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PolicyRulegroup"}}},"description":""}}}}}}
```

## Retrive the rule group with given id

> This endpoint is used to delete an existing rule group for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"PolicyRulegroup":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"created_by_name":{"type":"string","readOnly":true},"modified_by_name":{"type":"string","readOnly":true},"creationtime":{"type":"string","readOnly":true},"last_update_time":{"type":"string","readOnly":true},"status_opt":{"type":"string","readOnly":true},"status":{"type":"string","readOnly":true},"device_tags":{"type":"string","readOnly":true},"associated_rules":{"type":"string","readOnly":true},"rule_map":{"type":"string","readOnly":true},"created_by_profile":{"type":"string","readOnly":true},"modified_by_profile":{"type":"string","readOnly":true},"rulegroupid":{"type":"string"},"name":{"type":"string"},"organization":{"type":"string","maxLength":25},"description":{"type":"string"},"activation":{"type":"boolean"},"iprange":{"type":"string"},"exclude_ips":{"type":"string"},"vendor":{"type":"string"},"os_type":{"type":"string"},"modified_by":{"type":"integer"},"created_by":{"type":"integer"},"activated_by":{"type":"integer"},"activation_time":{"type":"string","format":"date-time"},"is_deleted":{"type":"boolean"},"assigned_users":{"type":"array","items":{}},"assigned_group":{"type":"array","items":{}},"is_private":{"type":"boolean"}},"required":["associated_rules","created_by_name","created_by_profile","creationtime","device_tags","id","last_update_time","modified_by_name","modified_by_profile","organization","rule_map","rulegroupid","status","status_opt"]}}},"paths":{"/ux/nccm/policy_rule_group/get_rule_group_by_id/":{"get":{"operationId":"ux_nccm_policy_rule_group_get_rule_group_by_id_retrieve","description":"This endpoint is used to delete an existing rule group for the current organization","summary":"Retrive the rule group with given id","tags":["Rule Group"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PolicyRulegroup"}}},"description":""}}}}}}
```

## GET /ux/nccm/policy\_rule\_group/save-associated-rule/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"PolicyRulegroup":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"created_by_name":{"type":"string","readOnly":true},"modified_by_name":{"type":"string","readOnly":true},"creationtime":{"type":"string","readOnly":true},"last_update_time":{"type":"string","readOnly":true},"status_opt":{"type":"string","readOnly":true},"status":{"type":"string","readOnly":true},"device_tags":{"type":"string","readOnly":true},"associated_rules":{"type":"string","readOnly":true},"rule_map":{"type":"string","readOnly":true},"created_by_profile":{"type":"string","readOnly":true},"modified_by_profile":{"type":"string","readOnly":true},"rulegroupid":{"type":"string"},"name":{"type":"string"},"organization":{"type":"string","maxLength":25},"description":{"type":"string"},"activation":{"type":"boolean"},"iprange":{"type":"string"},"exclude_ips":{"type":"string"},"vendor":{"type":"string"},"os_type":{"type":"string"},"modified_by":{"type":"integer"},"created_by":{"type":"integer"},"activated_by":{"type":"integer"},"activation_time":{"type":"string","format":"date-time"},"is_deleted":{"type":"boolean"},"assigned_users":{"type":"array","items":{}},"assigned_group":{"type":"array","items":{}},"is_private":{"type":"boolean"}},"required":["associated_rules","created_by_name","created_by_profile","creationtime","device_tags","id","last_update_time","modified_by_name","modified_by_profile","organization","rule_map","rulegroupid","status","status_opt"]}}},"paths":{"/ux/nccm/policy_rule_group/save-associated-rule/":{"get":{"operationId":"ux_nccm_policy_rule_group_save_associated_rule_retrieve","description":"API endpoint that allows users to be viewed or edited.","tags":["Rule Group"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PolicyRulegroup"}}},"description":""}}}}}}
```

## POST /ux/nccm/policy\_rule\_group/status-updation/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"PolicyRulegroup":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"created_by_name":{"type":"string","readOnly":true},"modified_by_name":{"type":"string","readOnly":true},"creationtime":{"type":"string","readOnly":true},"last_update_time":{"type":"string","readOnly":true},"status_opt":{"type":"string","readOnly":true},"status":{"type":"string","readOnly":true},"device_tags":{"type":"string","readOnly":true},"associated_rules":{"type":"string","readOnly":true},"rule_map":{"type":"string","readOnly":true},"created_by_profile":{"type":"string","readOnly":true},"modified_by_profile":{"type":"string","readOnly":true},"rulegroupid":{"type":"string"},"name":{"type":"string"},"organization":{"type":"string","maxLength":25},"description":{"type":"string"},"activation":{"type":"boolean"},"iprange":{"type":"string"},"exclude_ips":{"type":"string"},"vendor":{"type":"string"},"os_type":{"type":"string"},"modified_by":{"type":"integer"},"created_by":{"type":"integer"},"activated_by":{"type":"integer"},"activation_time":{"type":"string","format":"date-time"},"is_deleted":{"type":"boolean"},"assigned_users":{"type":"array","items":{}},"assigned_group":{"type":"array","items":{}},"is_private":{"type":"boolean"}},"required":["associated_rules","created_by_name","created_by_profile","creationtime","device_tags","id","last_update_time","modified_by_name","modified_by_profile","organization","rule_map","rulegroupid","status","status_opt"]}}},"paths":{"/ux/nccm/policy_rule_group/status-updation/":{"post":{"operationId":"ux_nccm_policy_rule_group_status_updation_create","description":"API endpoint that allows users to be viewed or edited.","tags":["Rule Group"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PolicyRulegroup"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/PolicyRulegroup"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/PolicyRulegroup"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PolicyRulegroup"}}},"description":""}}}}}}
```

## POST /ux/nccm/policy\_rule\_group/validate-uploaded-file/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"PolicyRulegroup":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"created_by_name":{"type":"string","readOnly":true},"modified_by_name":{"type":"string","readOnly":true},"creationtime":{"type":"string","readOnly":true},"last_update_time":{"type":"string","readOnly":true},"status_opt":{"type":"string","readOnly":true},"status":{"type":"string","readOnly":true},"device_tags":{"type":"string","readOnly":true},"associated_rules":{"type":"string","readOnly":true},"rule_map":{"type":"string","readOnly":true},"created_by_profile":{"type":"string","readOnly":true},"modified_by_profile":{"type":"string","readOnly":true},"rulegroupid":{"type":"string"},"name":{"type":"string"},"organization":{"type":"string","maxLength":25},"description":{"type":"string"},"activation":{"type":"boolean"},"iprange":{"type":"string"},"exclude_ips":{"type":"string"},"vendor":{"type":"string"},"os_type":{"type":"string"},"modified_by":{"type":"integer"},"created_by":{"type":"integer"},"activated_by":{"type":"integer"},"activation_time":{"type":"string","format":"date-time"},"is_deleted":{"type":"boolean"},"assigned_users":{"type":"array","items":{}},"assigned_group":{"type":"array","items":{}},"is_private":{"type":"boolean"}},"required":["associated_rules","created_by_name","created_by_profile","creationtime","device_tags","id","last_update_time","modified_by_name","modified_by_profile","organization","rule_map","rulegroupid","status","status_opt"]}}},"paths":{"/ux/nccm/policy_rule_group/validate-uploaded-file/":{"post":{"operationId":"ux_nccm_policy_rule_group_validate_uploaded_file_create","description":"API endpoint that allows users to be viewed or edited.","tags":["Rule Group"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PolicyRulegroup"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/PolicyRulegroup"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/PolicyRulegroup"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PolicyRulegroup"}}},"description":""}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.infraon.io/infraon-infinity-api-guide/modules/rule-group.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
